package supperSlonic.emrWorkflow;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

import supperSlonic.amazonConnection.AmazonContext;

public abstract class JobFlowContextBase extends AmazonContext
{
	protected String instanceName = null;
	private Properties defaultTemplate = null;
	private static final String DefaultConfiguration = "emrDefault.properties";
	
	public JobFlowContextBase() throws IOException
	{
		this.initDefaultConfiguration();
	}
	
	protected void initDefaultConfiguration() throws IOException
	{
		InputStream inStream = JobFlowContext.class.getClassLoader().getResourceAsStream(DefaultConfiguration);
		defaultTemplate = new Properties();
		defaultTemplate.load(inStream);
		inStream.close();
	}
	
	public String getInstanceName()
	{
		return this.instanceName;
	}
	
	public void setInstanceName(String value)
	{
		this.instanceName = value;
	}
	
	public Properties getDefaultTemplate()
	{
		return this.defaultTemplate;
	}
	
	public boolean checkFileExists(String filePath)
	{
		if(filePath == null || filePath.isEmpty())
			return false;
		
		File file = new File(filePath);
		return file.exists();
	}
}