package supperSlonic.emrWorkflow;

import com.amazonaws.services.elasticmapreduce.AmazonElasticMapReduceClient;
import com.amazonaws.services.elasticmapreduce.model.RunJobFlowRequest;
import com.amazonaws.services.elasticmapreduce.model.RunJobFlowResult;

import supperSlonic.emrWorkflow.Builders.JobFlowBuilder;

public class JobInvoker
{
	public static String startJob(JobFlowContext jobFlowContext)
	{
		JobFlowBuilder builder = new JobFlowBuilder(jobFlowContext);
		RunJobFlowRequest jobFlowRequest = builder.build();
		
		AmazonElasticMapReduceClient emrClient = new AmazonElasticMapReduceClient(jobFlowContext.getCredentials());
		RunJobFlowResult result = emrClient.runJobFlow(jobFlowRequest);
		String jobFlowId = result.getJobFlowId();
		
		return jobFlowId;
	}
}
